<%= form_with(model: leaderboard) do |form| %>
  <% if leaderboard.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(leaderboard.errors.count, "error") %> prohibited this leaderboard from being saved:</h2>

      <ul>
        <% leaderboard.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :user_id, style: "display: block" %>
    <%= form.text_field :user_id %>
  </div>

  <div>
    <%= form.label :score, style: "display: block" %>
    <%= form.number_field :score %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
